Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029894
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2015-05-14 21:522018-06-26 11:39
ReporterdbazView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision02b3ccc6fd3f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029894: Old Google Sign In, OpenID based, should be removed from core

DescriptionMore info @ project web: http://wiki.openbravo.com/w/index.php?title=Projects:OpenID_Removal [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0029565 closedplatform Make Google Sign In Module visible in distribution 
related to defect 0029895 closeddbaz API Change Request on org.openbravo.service.integration.* 
related to design defect 0040159 closedalostale remove unused guice depencency 

-  Notes
(0077593)
hgbot (developer)
2015-05-19 22:37

Repository: erp/devel/pi
Changeset: 02b3ccc6fd3fd7ed385a0702c530c30347a41fbf
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue May 19 22:35:00 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/02b3ccc6fd3fd7ed385a0702c530c30347a41fbf [^]

Fixed issue 29894: Merged [gsi-removal] project

http://wiki.openbravo.com/w/index.php?title=Projects:OpenID_Removal [^]

---
M .classpath.template
M legal/Licensing.txt
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.service.integration.google/src-db/database/model/tables/OBSEIG_DEFAULTS.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/model/tables/OBSOID_USER_IDENTIFIER.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_MODULE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/QA_Testing/OBUIAPP_VIEW_ROLE_ACCESS.xml
M src/org/openbravo/erpCommon/security/Login.java
A modules/org.openbravo.client.application/lib/runtime/guice-2.0.jar
A modules/org.openbravo.client.application/lib/runtime/httpclient-4.0.jar
A modules/org.openbravo.client.application/lib/runtime/httpcore-4.0.1.jar
A modules/org.openbravo.client.application/lib/runtime/httpmime-4.1.jar
A web/images/gSignInButtonDemo.png
R modules/org.openbravo.service.integration.google/src-db/database/model/functions/OBSEIG_UPDATE_ACCESS.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_EP_PROCEDURES.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_FIELD.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MENU.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MESSAGE.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TAB.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TREENODE.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_WINDOW.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/OBUIAPP_MENU_PARAMETERS.xml
R modules/org.openbravo.service.integration.google/src-db/database/sourcedata/OBUIAPP_VIEW_IMPL.xml
R modules/org.openbravo.service.integration.google/src/org/openbravo/service/integration/google/GoogleAuthServlet.java
R modules/org.openbravo.service.integration.google/src/org/openbravo/service/integration/google/GoogleIntegrationComponentProvider.java
R modules/org.openbravo.service.integration.google/web/images/google.png
R modules/org.openbravo.service.integration.google/web/org.openbravo.service.integration.google/js/obsegi-account-association-view.js
R modules/org.openbravo.service.integration.openid/lib/runtime/guice-2.0.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpclient-4.0.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpcore-4.0.1.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/httpmime-4.1.jar
R modules/org.openbravo.service.integration.openid/lib/runtime/openid4java-0.9.6.jar
R modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_FIELD.xml
R modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TAB.xml
R modules/org.openbravo.service.integration.openid/src/org/openbravo/service/integration/openid/OpenIDManager.java
---
(0077594)
hgbot (developer)
2015-05-19 23:02

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 877cd6706a898919c463c8dfa666dfef04b149aa
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue May 19 23:02:28 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/877cd6706a898919c463c8dfa666dfef04b149aa [^]

Related to issue 29894: Deleted the references to removed windows

---
M referencedata/sampledata/The_White_Valley_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
---
(0077613)
hgbot (developer)
2015-05-21 10:27

Repository: erp/devel/pi
Changeset: 65e2c94fcafaf3f3f74955c06efc6d03a2e1171d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu May 21 10:27:18 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/65e2c94fcafaf3f3f74955c06efc6d03a2e1171d [^]

related to issue 29894: restored v3 dependencies -> openID + google integration

---
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
---
(0077638)
hudsonbot (developer)
2015-05-21 22:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/78fa6e8fdcad [^]
Maturity status: Test
(0077641)
hudsonbot (developer)
2015-05-21 22:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/78fa6e8fdcad [^]
Maturity status: Test
(0077674)
alostale (developer)
2015-05-25 08:28

code reviewed + tested

- Issue History
Date Modified Username Field Change
2015-05-14 21:52 dbaz New Issue
2015-05-14 21:52 dbaz Assigned To => dbaz
2015-05-14 21:52 dbaz Modules => Core
2015-05-14 21:52 dbaz Triggers an Emergency Pack => No
2015-05-14 22:04 dbaz Relationship added related to 0029895
2015-05-19 22:35 dbaz Review Assigned To => alostale
2015-05-19 22:37 hgbot Checkin
2015-05-19 22:37 hgbot Note Added: 0077593
2015-05-19 22:37 hgbot Status new => resolved
2015-05-19 22:37 hgbot Resolution open => fixed
2015-05-19 22:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02b3ccc6fd3fd7ed385a0702c530c30347a41fbf [^]
2015-05-19 23:02 hgbot Checkin
2015-05-19 23:03 hgbot Note Added: 0077594
2015-05-21 10:27 hgbot Checkin
2015-05-21 10:27 hgbot Note Added: 0077613
2015-05-21 10:28 alostale Relationship added has duplicate 0029565
2015-05-21 22:54 hudsonbot Checkin
2015-05-21 22:54 hudsonbot Note Added: 0077638
2015-05-21 22:54 hudsonbot Checkin
2015-05-21 22:54 hudsonbot Note Added: 0077641
2015-05-25 08:28 alostale Note Added: 0077674
2015-05-25 08:28 alostale Status resolved => closed
2015-05-25 08:28 alostale Fixed in Version => 3.0PR15Q3
2018-06-26 11:39 hgbot Checkin
2018-06-26 11:39 hgbot Note Added: 0105404
2018-06-26 14:27 gorka_gil Note Deleted: 0105404
2019-02-06 12:08 alostale Relationship added related to 0040159


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker